PUT V1/Payments.{ext}/UpdateFSAmount
Add/Update Funds for a particular Funding Statement.
Mandatory Fields : VerifyFundingStatement
Optional Fields : N/A
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
EMS.Payments.Entities.VerifyFundingStatement| Name | Description | Type | Additional information |
|---|---|---|---|
| FundingStatementName |
Funding Statement Name |
string |
None. |
| ProductId |
Product Id |
string |
None. |
| Amount |
Amount |
string |
None. |
| Comments |
Comments |
string |
None. |
| FsId |
Funding Statement Id |
string |
None. |
| FilePath |
File Path |
string |
None. |
| FileName |
File Name |
string |
None. |
Request Formats
application/json, text/json
{
"fundingStatementName": "sample string 1",
"productId": "sample string 2",
"amount": "sample string 3",
"comments": "sample string 4",
"fsId": "sample string 5",
"filePath": "sample string 6",
"fileName": "sample string 7"
}
application/xml, text/xml
<VerifyFundingStatement xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities"> <Amount>sample string 3</Amount> <Comments>sample string 4</Comments> <FileName>sample string 7</FileName> <FilePath>sample string 6</FilePath> <FsId>sample string 5</FsId> <FundingStatementName>sample string 1</FundingStatementName> <ProductId>sample string 2</ProductId> </VerifyFundingStatement>
application/x-www-form-urlencoded
Sample not available.
application/bson
Binary JSON content. See http://bsonspec.org for details.
Response Information
Resource Description
EMSResponseOfEMS.Common.TransactionResult| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Common.TransactionResult |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "TransactionResult",
"response": {
"status": "sample string 1",
"message": "sample string 2",
"result": "sample string 3"
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.